# class ExtensionDebugShaders

#### package js.html.webgl

Available on HTML5

The `WEBGL_debug_shaders` extension is part of the WebGL API and exposes a method to debug shaders from privileged contexts.

Documentation WEBGL_debug_shaders by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/WEBGL_debug_shaders

### Methods

###

`getTranslatedShaderSource (shader:Shader):String`

Returns the translated shader source.